<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

	$curlang = get_locale();
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/bw/icon.jpg" type="image/x-icon">
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<div class="site_top">
		<div class="site_top_line"><div class="site_top_line_in">
        	<div class="social_icon">
            	<a href="#"><img src="<?php echo get_template_directory_uri(); ?>/bw/google-icon.png" /></a>
                <a href="#"><img src="<?php echo get_template_directory_uri(); ?>/bw/facebook-icon.png" /></a>
                <!--<a href="#"><img src="<?php echo get_template_directory_uri(); ?>/bw/skype-icon.png" /></a>-->
                <a href="#"><img src="<?php echo get_template_directory_uri(); ?>/bw/rss-icon.png" /></a>
            </div>
        	<div class="lang_select">
            	<?php 
					if( is_active_sidebar('sidebar-t1'))
					{
						dynamic_sidebar( 'sidebar-t1' );
					}
            	?>
            </div>
            <div class="clear"></div>
		</div></div>
	<div class="site_top_in">
		<header id="masthead" class="site-header" role="banner">
			<div class="logo">
            	<a href="http://www.cuts-international.org/" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/bw/logo.png"></a>
            </div>
            <div class="logo_2">
            	HANOI RESOURCE CENTRE
            	<div class="logo_2s">Consumer sovereignty in the framework of social justice and equality, within and across borders.</div>
            </div>
            <!--<div class="hd_search">
            	<?php
				$keys = isset($_GET["s"]) ? $_GET["s"] : ""; 
				$key_type = isset($_GET["type"]) ? $_GET["type"] : ""; 
				?>
            	<form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" id="search">
                	<input type="text" name="s" id="s" value="<?php echo $keys; ?>" autocomplete="off"/>
                    <input type="submit" name="sm" id="sm" value="Search"/>
                    <br>
                    <label><input type="radio" name="type" value="site" <?php if($key_type == "" || $key_type == "site") { echo "checked"; } ?>>This site</label>
					<label><input type="radio" name="type" value="google" <?php if($key_type == "google") { echo "checked"; } ?>>WWW</label>
                </form>
            </div>-->
            <div class="clear"></div>
		</header><!-- #masthead -->
	</div>
	</div>

	<div class="site_content"><div class="site_content_in">
			<nav id="site-navigation" class="main-navigation" role="navigation">
				<div class="main-navigation-in">
				<h3 class="menu-toggle"><?php _e( 'Menu', 'twentytwelve' ); ?></h3>
				<a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentytwelve' ); ?>"><?php _e( 'Skip to content', 'twentytwelve' ); ?></a>
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
				</div>
			</nav><!-- #site-navigation -->
		<div class="site_main">
	<div id="main" class="site_main_in">
    <?php
    if( is_home() )
    {
    	echo do_shortcode("[metaslider id=20]");
	}
	// Main center
	if( is_active_sidebar('sidebar-t5') && is_home() && false )
	{
		echo '<div class="main_center">';
		dynamic_sidebar( 'sidebar-t5' );
		echo '<div class="clear"></div>';
		echo '</div>';
	}
	?>
    <div class="starHor"></div>
    
    
<?php
// Các ấn phẩm
if( is_home() ) {
?>
    <div class="home_left">
    <?php
	// Public
	if($curlang == "vi") {
		echo '<h2 class="title_h2">Ấn phẩm</h2>';

	}
	else {
		echo '<h2 class="title_h2">Feature Publications</h2>';
	}
	if( is_active_sidebar('sidebar-t6') )
	{
		dynamic_sidebar( 'sidebar-t6' );
	}

// Tin tuc & Su kien
	if( is_active_sidebar('sidebar-t3') )
	{
		dynamic_sidebar( 'sidebar-t3' );
	}
	
// Cac tn noi bat
if($curlang == "vi") {
	//echo '<h2 style="font-size:16px; color: #636363; font-weight: bold; text-transform: uppercase; margin:15px 0px;">Ấn phẩm</h2>';
	$args = array('posts_per_page' => 3, 'cat' => 20);
}
else {
	//echo '<h2 style="font-size:16px; color: #636363; font-weight: bold; text-transform: uppercase; margin:15px 0px;">Ấn phẩm</h2>';
	$args = array('posts_per_page' => 3, 'cat' => 21);
}
$the_query = new WP_Query( $args );
// The Loop
while ( $the_query->have_posts() ) : $the_query->the_post();
?>
<!--
<div class="home_cus_project" id="post-<?php the_ID(); ?>">

	<div class="img"><a href="<?php the_permalink() ?>"><?php echo the_post_thumbnail(array(200,180)); ?></a></div>
    <div class="cont">
        <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
        <?php the_content('<div class="readmore">Read more »</div>'); ?>
    </div>
    <div class="clear"></div>
</div>-->
            
<?php

endwhile; 	
}
// End cac du an noi bat

?>
    
<?php
// CUTS Centres
if( is_home() && !wp_is_mobile() )
{
?>
<div id="cust_world">
<h2 class="title_h2">CUTS In The World</h2>
<div style="text-align:center;">
<!--<div class="site_content_bot"><div class="site_content_bot_in">
	<div class="site_map">
    	<a href="http://www.cuts-geneva.org/" target="_blank" style="position:absolute; top:110px; left:250px;">Geneva</a>
        <a href="http://www.cuts-international.org/ARC/" target="_blank" style="position:absolute; top:175px; left:270px;">Accra</a>
        <a href="http://www.cuts-international.org/ARC/" target="_blank" style="position:absolute; top:200px; left:305px;">Nairobi</a>
        <a href="http://www.cuts-international.org/ARC/" target="_blank" style="position:absolute; top:230px; left:280px;">Lusaka</a>
        <a href="http://www.cuts-hrc.org/" target="_blank" style="position:absolute; top:160px; left:455px;">Ha Noi</a>
        <a href="http://www.cuts-hrc.org/" target="_blank" style="position:absolute; top:150px; left:370px;">Chittorgarh</a>
        <a href="http://www.cuts-hrc.org/" target="_blank" style="position:absolute; top:125px; left:410px;">New Delhi</a>
        <a href="http://www.cuts-hrc.org/" target="_blank" style="position:absolute; top:145px; left:445px;">Kolkata</a>
    </div>
</div></div>-->
<img src="http://localhost/hnrc/cuts-center.png" alt="Planets" usemap="#cutscenter">
<map name="cutscenter">
<area shape="rect" coords="149,65,215,82" alt="geneva" href="http://www.cuts-geneva.org/" target="_blank">
<area shape="rect" coords="168,125,220,139" alt="geneva" href="http://www.cuts-international.org/ARC/" target="_blank">
<area shape="rect" coords="193,143,250,158" alt="geneva" href="http://www.cuts-international.org/ARC/" target="_blank">
<area shape="rect" coords="178,164,242,179" alt="geneva" href="http://www.cuts-international.org/ARC/" target="_blank">
<area shape="rect" coords="310,42,378,58" alt="geneva" href="http://www.cuts-international.org/cuts-drc.htm" target="_blank">
<area shape="rect" coords="315,67,383,85" alt="geneva" href="http://www.cuts-international.org/CHD/" target="_blank">
<area shape="rect" coords="324,91,371,108" alt="geneva" href="http://www.cuts-international.org/CRC/" target="_blank">
<area shape="rect" coords="337,109,387,125" alt="geneva" href="http://www.cuts-hrc.org/" target="_blank">
<area shape="rect" coords="362,154,400,168" alt="geneva" href="http://www.cuts-international.org/CART/index.htm" target="_blank">
<area shape="rect" coords="362,169,400,184" alt="geneva" href="http://www.cuts-citee.org/" target="_blank">
<area shape="rect" coords="363,185,400,199" alt="geneva" href="http://www.cuts-ccier.org/" target="_blank">
</map>
</div>
</div>
<?php
}
?>
    <?php
	if(is_home()) { // is home 2
	?>
	</div> <!-- End home left -->
    <div class="home_right">
    
    <?php 
	if( is_active_sidebar('sidebar-t4') && is_home() )
	{
		dynamic_sidebar( 'sidebar-t4' );
	}
	
	?>
    </div>
    <?php
	} // End is home 2
	?>
    
    
    
    